# Get Space Blockout List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getSpaceBlockoutList`

Return the venue space blockout list for the venue.

#### Request Body

| Name    | Type    | Description         |
| ------- | ------- | ------------------- |
| venueId | integer | The id of the venue |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 56,
        "start": 0,
        "perPage": 2,
        "count": 2
    },
    "results": [
        {
            "id": 2,
            "venueId": 1,
            "spaceId": 5,
            "name": "Public Holiday 1",
            "startDate": "2022-01-17",
            "startTime": "12:00:00",
            "endDate": "2022-01-17",
            "endTime": "13:00:00",
            "bookedById": 1
        },
        {
            "id": 3,
            "venueId": 1,
            "spaceId": 4,
            "name": "Booked by XYZ",
            "startDate": "2022-01-17",
            "startTime": "05:00:00",
            "endDate": "2022-01-17",
            "endTime": "06:00:00",
            "bookedById": 1
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

`Get Space Blockout List`

```javascript
{
  "venueId": 1
}
```

### Returns

`A collection object with the following properties in the results`

| Property   | Data Type | Description                                                              |
| ---------- | --------- | ------------------------------------------------------------------------ |
| id         | integer   | The unique identifier of the space blockout.                             |
| venueId    | integer   | The unique id of the venue to which the space blockout belongs.          |
| spaceId    | integer   | The unique id of the function space to which the space blockout belongs. |
| name       | string    | The name of the space blockout.                                          |
| startDate  | date      | The start date of the space blockout.                                    |
| startTime  | time      | The start time of the space blockout.                                    |
| endDate    | date      | The end date of the space blockout.                                      |
| endTime    | time      | The end time of the space blockout.                                      |
| bookedById | integer   | 'The coordinator user who created the space blockout.                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-space-blockout-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
